Index: branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.cs	(revision 7612)
+++ branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.cs	(revision 7614)
@@ -143,5 +143,5 @@
 
     public void DeleteClient(DT.Client client) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
@@ -200,5 +200,5 @@
 
     public void DeleteClientGroup(DT.ClientGroup clientGroup) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
@@ -293,5 +293,5 @@
 
     public void DeleteClientLog(DT.ClientLog log) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
@@ -324,5 +324,5 @@
       }
 
-      if (aspUser == null || aspMembership == null) {
+      if (aspUser != null || aspMembership != null) {
         using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
           var query = from u in context.UserGroupBases.OfType<DA.User>()
@@ -444,4 +444,6 @@
 
     public IEnumerable<DT.User> GetAllUsers() {
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+
       List<Guid> accessUserGuids = null;
 
@@ -456,4 +458,6 @@
 
     public IEnumerable<DT.User> GetUsers(IEnumerable<Guid> ids) {
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+
       List<Guid> accessUserGuids = null;
 
@@ -490,5 +494,5 @@
 
     public DT.User AddUser(DT.User user) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       DA.User accessUser;
@@ -537,5 +541,5 @@
 
     public void DeleteUser(DT.User user) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       if (user.Id != null && user.Id != Guid.Empty) {
@@ -561,5 +565,5 @@
 
     public void UpdateUser(DT.User user) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       AddUser(user);
@@ -567,5 +571,5 @@
 
     public void AddUserToRole(DT.Role role, DT.User user) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       //TODO: usernames and rolenames have to be unique!
@@ -577,5 +581,5 @@
 
     public void RemoveUserFromRole(DT.Role role, DT.User user) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       MembershipUser msUser = Membership.GetUser((object)user.Id);
@@ -594,5 +598,5 @@
 
     public string ResetPassword(Guid userId) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       MembershipUser msUser = Membership.GetUser(userId);
@@ -653,5 +657,5 @@
 
     public void DeleteUserGroup(DT.UserGroup group) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
@@ -762,5 +766,5 @@
 
     public DT.Role AddRole(DT.Role role) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       Roles.CreateRole(role.Name);
@@ -769,5 +773,5 @@
 
     public void DeleteRole(DT.Role role) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       Roles.DeleteRole(role.Name);
@@ -800,5 +804,5 @@
 
     public void RemoveRoleFromGroup(DT.UserGroup userGroup, DT.Role role) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       Guid[] userIds;
@@ -830,5 +834,5 @@
 
     public IEnumerable<DT.ClientError> GetClientErrors() {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
@@ -840,5 +844,5 @@
 
     public IEnumerable<DT.ClientError> GetLastClientErrors(DateTime startDate) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
@@ -851,5 +855,5 @@
 
     public void DeleteError(DT.ClientError error) {
-      roleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
+      RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
       using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
Index: branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/Convert.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/Convert.cs	(revision 7612)
+++ branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/Convert.cs	(revision 7614)
@@ -292,4 +292,5 @@
         FullName = source.FullName,
         UserName = aspUserSource.UserName,
+        //TODO: check if the roles and groups are include in source
         Roles = roles.Select(x => Convert.ToDto(x)).ToArray(),
         Groups = groups.Select(x => Convert.ToDto(x)).ToArray()