Index: branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.cs	(revision 7614)
+++ branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.cs	(revision 7619)
@@ -52,5 +52,5 @@
     public bool ClientExists(Guid id) {
       if (id != Guid.Empty) {
-        using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+        using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
           return (context.Resources.Where(x => x.Id == id).Count() != 0);
         }
@@ -60,5 +60,5 @@
 
     public DT.Client GetClient(Guid id) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from c in context.GetTable<DA.Resource>().OfType<DA.Client>()
                     where c.Id == id
@@ -73,5 +73,5 @@
 
     public IEnumerable<DT.Client> GetClients(IEnumerable<Guid> ids) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from c in context.GetTable<DA.Resource>().OfType<DA.Client>()
                     where ids.Contains(c.Id)
@@ -82,5 +82,5 @@
 
     public IEnumerable<DT.Client> GetAllClients() {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from c in context.GetTable<DA.Resource>().OfType<DA.Client>()
                     select Convert.ToDto(c);
@@ -101,5 +101,5 @@
       }
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         DA.Client entity = Convert.ToEntity(client);
 
@@ -145,5 +145,5 @@
       RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         //load client because we could get a detached object
         var query = from c in context.GetTable<DA.Resource>().OfType<DA.Client>()
@@ -167,5 +167,5 @@
     #region ClientGroup
     public IEnumerable<DT.ClientGroup> GetAllClientGroups() {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from c in context.GetTable<DA.Resource>().OfType<DA.ClientGroup>()
                     select Convert.ToDto(c);
@@ -175,5 +175,5 @@
 
     public IEnumerable<DT.ClientGroup> GetClientGroups(IEnumerable<Guid> ids) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from c in context.GetTable<DA.Resource>().OfType<DA.ClientGroup>()
                     where ids.Contains(c.Id)
@@ -184,5 +184,5 @@
 
     public Guid AddClientGroup(DT.ClientGroup group) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         if (group.Id == Guid.Empty)
           group.Id = Guid.NewGuid();
@@ -202,5 +202,5 @@
       RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         //load clientGroup because we could get a detached object
         var query = from c in context.GetTable<DA.Resource>().OfType<DA.ClientGroup>()
@@ -215,5 +215,5 @@
 
     public void AddResourceToGroup(DT.Resource resource, DT.ClientGroup group) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         DA.ResourceResourceGroup rrg = new DA.ResourceResourceGroup() {
           ResourceId = resource.Id,
@@ -227,5 +227,5 @@
 
     public void RemoveResourceFromGroup(DT.Resource resource, DT.ClientGroup group) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = context.ResourceResourceGroups.Where(x => x.ResourceId == resource.Id && x.ResourceGroupId == group.Id);
         if (query.Count() > 0) {
@@ -239,5 +239,5 @@
     #region ClientGroupMapping
     public IEnumerable<DT.ClientGroupMapping> GetClientGroupMapping() {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from c in context.GetTable<DA.ResourceResourceGroup>()
                     select Convert.ToDto(c);
@@ -249,5 +249,5 @@
     #region Resource
     public IEnumerable<DT.Resource> GetResources() {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from r in context.Resources
                     select Convert.ToDto(r);
@@ -259,5 +259,5 @@
     #region ClientLog
     public DT.ClientLog GetLastClientLog(Guid clientId) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from r in context.ClientLogs
                     where r.ResourceId == clientId
@@ -268,5 +268,5 @@
 
     public IEnumerable<DT.ClientLog> GetClientLogs(Guid clientId) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from r in context.ClientLogs
                     where r.ResourceId == clientId
@@ -277,5 +277,5 @@
 
     public IEnumerable<DT.ClientLog> GetClientLogsSince(DateTime startDate) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from r in context.ClientLogs
                     where r.Timestamp >= startDate
@@ -286,5 +286,5 @@
 
     public void AddClientLog(DT.ClientLog log) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         context.ClientLogs.InsertOnSubmit(Convert.ToEntity(log));
         context.SubmitChanges();
@@ -295,5 +295,5 @@
       RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         context.ClientLogs.DeleteOnSubmit(Convert.ToEntity(log));
         context.SubmitChanges();
@@ -325,5 +325,5 @@
 
       if (aspUser != null || aspMembership != null) {
-        using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+        using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
           var query = from u in context.UserGroupBases.OfType<DA.User>()
                       where u.Id == userId
@@ -371,5 +371,5 @@
 
       if (aspUser != null) {
-        using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+        using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
           var query = from u in context.UserGroupBases.OfType<DA.User>()
                       where u.Id == userId
@@ -408,5 +408,5 @@
       Guid userId = UserManager.CurrentUserId;
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         //TODO: this has to be done recursive, so check if a group is in another 
         //group because then the user is also in this group...
@@ -462,5 +462,5 @@
       List<Guid> accessUserGuids = null;
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from u in context.UserGroupBases.OfType<DA.User>()
                     where ids.Contains(u.Id)
@@ -479,5 +479,5 @@
       List<Guid> accessUserGuids = null;
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from u in context.UserGroupBases.OfType<DA.User>()
                     where ids.Contains(u.Id)
@@ -507,5 +507,5 @@
           accessUser.Id = aspMembership.UserId;
         }
-        using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+        using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
           context.UserGroupBases.InsertOnSubmit(accessUser);
           context.SubmitChanges();
@@ -527,5 +527,5 @@
         accessUser.Id = userId;
 
-        using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+        using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
           context.UserGroupBases.InsertOnSubmit(accessUser);
           context.SubmitChanges();
@@ -546,5 +546,5 @@
         //delete asp.net user
         Membership.DeleteUser(user.UserName);
-        using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+        using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
           var query = context.UserGroupBases.OfType<DA.User>().Where(x => x.Id == user.Id);
           if (query.Count() > 0) {
@@ -611,5 +611,5 @@
     #region UserGroup
     public IEnumerable<DT.UserGroup> GetAllUserGroups() {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from u in context.UserGroupBases.OfType<DA.UserGroup>()
                     select Convert.ToDto(u);
@@ -620,5 +620,5 @@
     public IEnumerable<DT.UserGroup> GetUserGroupsOfUser(Guid userId) {
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var groupIds = from g in context.UserGroupUserGroups
                        where g.UserGroupId == userId
@@ -634,5 +634,5 @@
 
     public IEnumerable<DT.UserGroup> GetUserGroups(IEnumerable<Guid> ids) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from u in context.UserGroupBases.OfType<DA.UserGroup>()
                     where ids.Contains(u.Id)
@@ -643,5 +643,5 @@
 
     public Guid AddUserGroup(DT.UserGroup group) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         //because id is not automatically set because of user, we have to do it here manually for group
         group.Id = Guid.NewGuid();
@@ -659,5 +659,5 @@
       RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         context.UserGroupBases.DeleteOnSubmit(Convert.ToEntity(group));
         context.SubmitChanges();
@@ -666,5 +666,5 @@
 
     public void AddUserGroupBaseToGroup(DT.UserGroupBase resource, DT.UserGroup group) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         DA.UserGroupUserGroup ugug = new DA.UserGroupUserGroup();
         ugug.UserGroupId = resource.Id;
@@ -676,5 +676,5 @@
 
     public void RemoveUserGroupBaseFromGroup(DT.UserGroupBase resource, DT.UserGroup userGroup) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from u in context.UserGroupUserGroups
                     where u.UserGroupId == resource.Id && u.UserGroupUserGroupId == userGroup.Id
@@ -689,5 +689,5 @@
 
     public IEnumerable<DT.UserGroupBase> GetUsersAndGroups() {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from u in context.UserGroupBases
                     select Convert.ToDto(u);
@@ -697,5 +697,5 @@
 
     public IEnumerable<DT.UserGroupMapping> GetUserGroupMapping() {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from u in context.UserGroupUserGroups
                     select Convert.ToDto(u);
@@ -720,5 +720,5 @@
       var lightweightUsers = accessUserGuids.Select(x => BuildLightweightUserDto(x));
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from u in context.UserGroupBases.OfType<DA.UserGroup>()
                     select Convert.ToDto(u);
@@ -736,5 +736,5 @@
       List<DT.UserGroupBase> result = new List<DT.UserGroupBase>();
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from u in context.UserGroupBases
                     where ids.Contains(u.Id)
@@ -787,5 +787,5 @@
       string[] aspUsers;
 
-      using (DA.ClientManagementDataContext accessContext = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext accessContext = new DA.AccessServiceDataContext()) {
         userIds = (from u in accessContext.UserGroupUserGroups
                    where u.UserGroupUserGroupId == userGroup.Id
@@ -809,5 +809,5 @@
       string[] aspUsers;
 
-      using (DA.ClientManagementDataContext accessContext = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext accessContext = new DA.AccessServiceDataContext()) {
         userIds = (from u in accessContext.UserGroupUserGroups
                    where u.UserGroupUserGroupId == userGroup.Id
@@ -827,5 +827,5 @@
     #region Error Reporting
     public void ReportError(DT.ClientError error) {
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         context.ClientErrors.InsertOnSubmit(Convert.ToEntity(error));
         context.SubmitChanges();
@@ -836,5 +836,5 @@
       RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from c in context.ClientErrors
                     select Convert.ToDto(c);
@@ -846,5 +846,5 @@
       RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = from c in context.ClientErrors
                     where c.Timestamp >= startDate
@@ -857,5 +857,5 @@
       RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
-      using (DA.ClientManagementDataContext context = new DA.ClientManagementDataContext()) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var query = context.ClientErrors.Where(x => x.Id == error.Id);
         if (query.Count() > 0) {
Index: branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.svc
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.svc	(revision 7619)
+++ branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.svc	(revision 7619)
@@ -0,0 +1,5 @@
+﻿<%@ ServiceHost 
+  Language="C#" 
+  Debug="true" 
+  Service="HeuristicLab.Services.Access.AccessService" 
+  %>
Index: branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/HeuristicLab.Services.Access-3.3.csproj
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/HeuristicLab.Services.Access-3.3.csproj	(revision 7614)
+++ branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/HeuristicLab.Services.Access-3.3.csproj	(revision 7619)
@@ -101,4 +101,7 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <Content Include="AccessService.svc" />
+  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <ProjectExtensions>