Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLab.DataImporter.DataProcessor.csproj
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLab.DataImporter.DataProcessor.csproj	(revision 7628)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLab.DataImporter.DataProcessor.csproj	(revision 7629)
@@ -132,5 +132,5 @@
       <DependentUpon>SqlCommandView.cs</DependentUpon>
     </Compile>
-    <None Include="HeuristicLabDataImporterDataProcessorPlugin.cs.frame" />
+    <None Include="Plugin.cs.frame" />
     <Compile Include="ProgressDialog.cs">
       <SubType>Form</SubType>
@@ -160,5 +160,5 @@
     </Compile>
     <Compile Include="HeuristicLabDataImporterDataProcessorApplication.cs" />
-    <Compile Include="HeuristicLabDataImporterDataProcessorPlugin.cs" />
+    <Compile Include="Plugin.cs" />
     <Compile Include="IExporter.cs" />
     <Compile Include="DataProcessorView.cs">
@@ -256,6 +256,5 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd
-SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabDataImporterDataProcessorPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabDataImporterDataProcessorPlugin.cs"</PreBuildEvent>
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLabDataImporterDataProcessorPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLabDataImporterDataProcessorPlugin.cs.frame	(revision 7628)
+++ 	(revision )
@@ -1,38 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.DataImporter.DataProcessor {
-  [Plugin("HeuristicLab.DataImporter.DataProcessor","1.0.0.$WCREV$")]
-  [PluginFile("HeuristicLab.DataImporter.Command-1.0.dll", PluginFileType.Assembly)]
-  [PluginFile("HeuristicLab.DataImporter.Data-1.0.dll", PluginFileType.Assembly)]
-  [PluginFile("HeuristicLab.DataImporter.DataProcessor-1.0.dll", PluginFileType.Assembly)]
-  [PluginFile("HeuristicLab.DataImporter.DbExplorer.Interfaces-1.0.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.ALGLIB","3.4")]
-  [PluginDependency("HeuristicLab.Common.Resources","3.3")]
-  [PluginDependency("HeuristicLab.Persistence","3.3")]
-  public class HeuristicLabDataImporterDataProcessorPlugin : PluginBase {
-  }
-}
Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Plugin.cs.frame	(revision 7629)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Plugin.cs.frame	(revision 7629)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.DataImporter.DataProcessor {
+  [Plugin("HeuristicLab.DataImporter.DataProcessor","1.0.0.$WCREV$")]
+  [PluginFile("HeuristicLab.DataImporter.Command-1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("HeuristicLab.DataImporter.Data-1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("HeuristicLab.DataImporter.DataProcessor-1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("HeuristicLab.DataImporter.DbExplorer.Interfaces-1.0.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.ALGLIB","3.4")]
+  [PluginDependency("HeuristicLab.Common.Resources","3.3")]
+  [PluginDependency("HeuristicLab.Persistence","3.3")]
+  public class HeuristicLabDataImporterDataProcessorPlugin : PluginBase {
+  }
+}